Delete one Workspace by workspace type, name and tenant, all of them required.

DELETE /users/workspaces/{workspaceType}/{workspaceName}

Operation id: WorkspaceService_DeleteWorkspace

Description

Permission Level: Read-Write

Tags: WorkspaceService

Parameters

Path parameters

NameTypeRequiredDescription
workspaceNamestringYesName of the workspace. Required: true
workspaceTypestringYesThe workspace type of the workspace. Required: true

Query parameters

NameTypeRequiredDescription
tenantIdstringNoTenant of the workspace. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}